---
layout: docs
page_title: scopes list-keys - Command
description: >-
  The "scopes list-keys" command lists the available keys within a scope or resource.
---

# scopes list-keys

Command: `boundary scopes list-keys`

The `boundary scopes list-keys` command lets you list the keys within a given scope or resource.

## Example

This example lists all keys within the scope `s_1234567890`:

```shell-session
$ boundary scopes list-keys -scope-id s_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary scopes list-keys [args]
```

</CodeBlockConfig>

### Command options

- `-scope-id=<string>` - The ID of the enclosing scope from which to list the keys.

@include 'cmd-option-note.mdx'